"""Custom tools for the multi-agent sysadmin system."""

from .poem_tool import print_poem
from .ssh_tool import SSHTool
from .ssh_connection_manager import ssh_manager
from langchain_community.tools.shell.tool import ShellTool

# Pre-configured SSH tool for your server - uses shared connection to prevent SSH banner errors
# TODO: Update these connection details for your actual server
configured_remote_server = SSHTool(
    host="157.90.211.119",  # Replace with your server
    port=8081,
    username="g",                # Replace with your username
    key_filename="/Users/ghsioux/.ssh/id_rsa_hetzner",    # Replace with your key path
    ask_human_input=True,             # Safety confirmation
    use_shared_connection=True        # Use shared connection pool to prevent banner errors
)


__all__ = ["print_poem", "SSHTool", "ShellTool", "configured_remote_server", "ssh_manager"]
